Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream
Interface MarshallingStrategy

    public interface MarshallingStrategy

Method Summary
`void` | `marshal(HierarchicalStreamWriter writer, Object obj, ConverterLookup converterLookup, Mapper mapper, DataHolder dataHolder)`
`void` | `marshal(HierarchicalStreamWriter writer, Object obj, com.thoughtworks.xstream.core.DefaultConverterLookup converterLookup, ClassMapper classMapper, DataHolder dataHolder)` Deprecated. As of 1.2, use `marshal(HierarchicalStreamWriter, Object, ConverterLookup, Mapper, DataHolder)`
`Object` | `unmarshal(Object root, HierarchicalStreamReader reader, DataHolder dataHolder, ConverterLookup converterLookup, Mapper mapper)`
`Object` | `unmarshal(Object root, HierarchicalStreamReader reader, DataHolder dataHolder, com.thoughtworks.xstream.core.DefaultConverterLookup converterLookup, ClassMapper classMapper)` Deprecated. As of 1.2, use `unmarshal(Object, HierarchicalStreamReader, DataHolder, ConverterLookup, Mapper)`

Method Detail

### unmarshal

    Object unmarshal(Object root,
                     HierarchicalStreamReader reader,
                     DataHolder dataHolder,
                     ConverterLookup converterLookup,
                     Mapper mapper)

### marshal

    void marshal(HierarchicalStreamWriter writer,
                 Object obj,
                 ConverterLookup converterLookup,
                 Mapper mapper,
                 DataHolder dataHolder)

### unmarshal

    Object unmarshal(Object root,
                     HierarchicalStreamReader reader,
                     DataHolder dataHolder,
                     com.thoughtworks.xstream.core.DefaultConverterLookup converterLookup,
                     ClassMapper classMapper)

  Deprecated. As of 1.2, use `unmarshal(Object, HierarchicalStreamReader, DataHolder, ConverterLookup, Mapper)`

### marshal

    void marshal(HierarchicalStreamWriter writer,
                 Object obj,
                 com.thoughtworks.xstream.core.DefaultConverterLookup converterLookup,
                 ClassMapper classMapper,
                 DataHolder dataHolder)

  Deprecated. As of 1.2, use `marshal(HierarchicalStreamWriter, Object, ConverterLookup, Mapper, DataHolder)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.